#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		ktimer
Summary:	ktimer
Name:		ka5-%{kaname}
Version:	22.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications/Games
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	e8b3694347e8fab71e05fdf74a0984bd
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Widgets-devel
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-knotifications-devel >= %{kframever}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KTimer is a little tool to execute programs after some time. It allows
you to enter several tasks and to set a timer for each of them. The
timers for each task can be started, stopped, changed, or looped.

%description -l pl.UTF-8
KTimer to mały program użytkowy do uruchamiania innych programów po
jakimś czasie. Pozwala wprowadzić kilka zadań i ustawić stoper dla
każdego z nich. Timery dla każdego zadania mogą być startowane,
zatrzymywane, zmieniane bądź zapętlane.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/sr
%find_lang %{kaname} --all-name --with-kde --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ktimer
%{_desktopdir}/org.kde.ktimer.desktop
%{_iconsdir}/hicolor/128x128/apps/ktimer.png
%{_iconsdir}/hicolor/16x16/apps/ktimer.png
%{_iconsdir}/hicolor/32x32/apps/ktimer.png
%{_iconsdir}/hicolor/48x48/apps/ktimer.png
%{_datadir}/metainfo/org.kde.ktimer.appdata.xml
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-ktimer.git;a=log;h=master

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 1afb126
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 176cc79
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 3fde481
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f398e9a
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> fd2bfdc
- updated to 22.08.1

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> bd22ff6
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> aa659bb
- updated to 22.04.3

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8d3d98b
- updated to 22.04.2

* Thu May 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5ef50fb
- updated to 22.04.1

* Fri Apr 22 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 1dbf943
- updated to 22.04.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> b6e1a11
- bcond_with tests

* Fri Mar 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 102a9a8
- updated to 21.12.3

* Thu Feb 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 35ec42b
- updated to 21.12.2

* Fri Jan 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 915bb67
- updated to 21.12.1

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> fdd962f
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> cf4594b
- updated to 21.08.3

* Fri Oct 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 49d0fab
- updated to 21.08.2

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 422e00d
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4fb0a65
- updated to 21.08.0

* Fri Aug 06 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a694a89
- pl description

